Tryton - Issues

 

Issue8280

Title Unable to create invoice with sao
Priority bug Status resolved
Superseder Nosy List pokoli, reviewbot, roundup-bot
Type crash Components sao
Assigned To pokoli Keywords review
Reviews 249291003
View: 249291003

Created on 2019-04-15.12:10:43 by pokoli, last changed by roundup-bot.

Messages
New changeset 6b4997d6ee41 by Sergi Almacellas Abellana in branch 'default':
Do not send array keys on on_change_with requests
https://hg.tryton.org/tryton-env/rev/6b4997d6ee41
New changeset e33d428c31ab by Sergi Almacellas Abellana in branch 'default':
Do not send array keys on on_change_with requests
https://hg.tryton.org/sao/rev/e33d428c31ab
review249291003 updated at https://codereview.tryton.org/249291003/#ps267261002
msg49033 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-04-15.12:10:42
When creating a new invoice on trunk version of sao I get the following traceback:

Traceback (most recent call last):
  File "/trytond/model/model.py", line 254, in __getattr__
    return self._values[name]
KeyError: 'on_change_with_0'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 104, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 48, in rpc
    request, database_name, *request.rpc_params)
  File "/trytond/wsgi.py", line 72, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 131, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 191, in _dispatch
    result = rpc.result(meth(inst, *c_args, **c_kwargs))
  File "/trytond/model/modelview.py", line 728, in on_change_with
    changes[fieldname] = getattr(self, method_name)()
  File "/trytond/model/modelstorage.py", line 1369, in __getattr__
    return super(ModelStorage, self).__getattr__(name)
  File "/trytond/model/model.py", line 257, in __getattr__
    % (self.__name__, name, self._values))
AttributeError: 'account.invoice' Model has no attribute 'on_change_with_0': {'currency': Pool().get('currency.currency')(24), 'company': Pool().get('company.company')(1)}

This was introduced with issue8234
History
Date User Action Args
2019-04-24 00:13:16cedlinkissue8268 superseder
2019-04-15 13:46:53roundup-botsetmessages: + msg49041
2019-04-15 13:46:49roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg49040
2019-04-15 12:41:17reviewbotsetnosy: + reviewbot
messages: + msg49035
2019-04-15 12:13:44pokolisetstatus: unread -> testing
reviews: 249291003
keyword: + review
2019-04-15 12:10:43pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)